/**
 *  @file ins_ut_tp.c
 *  @details config unit test
 *
 */

#include <stdlib.h>
#include "unittest.h"
#include "unittest/device/display/TP/ins_ut_tp.h"
#include "ins_mw_config.h"
#include "ins_pal_error_code.h"
#include "ins_comm_log.h"

//#include <AmbaTP.h>
#include "ins_dev_tp.h"

static int32_t InsUT_Device_TpInit(int32_t argc, char **argv)
{
    InsDev_TP_t * p_tp_dev = InsDev_TP_Init(0);
    //int32_t part = 0;
	
#if 0
	if(argc > 0)
	{
		INSLOG_E("argc = %d\n", argc);
	    for(int i = 0; i < argc; i++)
	    {
	        INSLOG_E("argv[%d] = %s\n", i, argv[i]);
	    }
	}
#endif
//    if(argc < 1)
//    {
//        INSLOG_W("Input para not enough!");
//        INSLOG_W("init 0 -> init tp!");
//        return INSERR_NG;
//    }
	argc = argc;
	argv = argv;
    //part = atoi(argv[0]);
	p_tp_dev = p_tp_dev;
	
    return (int32_t)0;
}

InsUT_Unittest_CmdInfo_t g_ut_cmd_tp[INSUT_CMDCNT_TP] = 
{
    {InsUT_Device_TpInit,    0, NULL, "init",       "init TP"},
};

